package com.ruoyi.brewery.service;

import java.util.HashMap;
import java.util.List;
import com.ruoyi.brewery.domain.WyActivityReward;
import com.ruoyi.brewery.domain.WyActivityRewardVO;

/**
 * 品牌方活动奖励Service接口
 * 
 * @author kxl
 * @date 2025-02-10
 */
public interface IWyActivityRewardService 
{
    /**
     * 查询品牌方活动奖励
     * 
     * @param id 品牌方活动奖励主键
     * @return 品牌方活动奖励
     */
    public WyActivityReward selectWyActivityRewardById(Long id);

    WyActivityReward selectWyActivityRewardByActivityIdAndBarId(Long activityId, Long barId,Long joinBatchId);

    /**
     * 查询品牌方活动奖励列表
     * 
     * @param wyActivityReward 品牌方活动奖励
     * @return 品牌方活动奖励集合
     */
    public List<WyActivityReward> selectWyActivityRewardList(WyActivityReward wyActivityReward);


    Integer selectWyActivityRewardCount(WyActivityReward wyActivityReward);

    List<WyActivityRewardVO> selectWyActivityRewardListWithData(WyActivityReward wyActivityReward);

    /**
     * 新增品牌方活动奖励
     * 
     * @param wyActivityReward 品牌方活动奖励
     * @return 结果
     */
    public int insertWyActivityReward(WyActivityReward wyActivityReward);

    /**
     * 修改品牌方活动奖励
     * 
     * @param wyActivityReward 品牌方活动奖励
     * @return 结果
     */
    public int updateWyActivityReward(WyActivityReward wyActivityReward);

    /**
     * 批量删除品牌方活动奖励
     * 
     * @param ids 需要删除的品牌方活动奖励主键集合
     * @return 结果
     */
    public int deleteWyActivityRewardByIds(Long[] ids);

    /**
     * 删除品牌方活动奖励信息
     * 
     * @param id 品牌方活动奖励主键
     * @return 结果
     */
    public int deleteWyActivityRewardById(Long id);
}
